<div class="hotbar">
    <div>
        <button style="display: flex; align-items: center;" (click)="onReturnClick()">
            <img src="../assets/images/left-arrow.png" style="height: 20px;">
        </button>
    </div>
    <div class="logout">
        <p style="margin-right: 20px;">{{ nickname }}</p>
        <button *ngIf="!small" style="margin-right: 20px;" (click)="auth.logout({ returnTo: document.location.origin })">
            Log out
        </button>
        <button *ngIf="small" style="margin-right: 20px; display: flex; align-items: center;" (click)="auth.logout({ returnTo: document.location.origin })">
            <img src="../assets/images/logout.png" style="height: 20px;">
        </button>
        <button *ngIf="!small" (click)="updateJobs()">
            Refresh
        </button>
        <button *ngIf="small" style="display: flex; align-items: center;" (click)="updateJobs()">
            <img src="../assets/images/rafraichir.png" style="height: 20px;">
        </button>
    </div>
</div>

<div class="margin">
    <h1>Running Jobs</h1>
    <div *ngIf="runningJobs.length > 0">
        <app-job *ngFor="let j of runningJobs" [job]="j"></app-job>
    </div>
    <h3 *ngIf="runningJobs.length == 0" style="display: flex; justify-content: center;">No running jobs</h3>
    <div style="padding-top: 20px;">
        <h1>Finished Jobs</h1>
        <div *ngIf="finishJobs.length > 0">
            <app-job *ngFor="let j of finishJobs" [job]="j"></app-job>
        </div>
        <h3 *ngIf="finishJobs.length == 0" style="display: flex; justify-content: center;">No finished jobs</h3>
    </div>
</div>
